proxies:
  - name: amd-reality-vless
    type: vless
    server: 45.195.8.138
    port: 443
    uuid: 34d7012b-f105-4cd3-9d70-5fa757683f01
    network: tcp
    tls: true
    udp: true
    flow: xtls-rprx-vision
    servername: www.amd.com
    reality-opts:
      public-key: pMC8jPqmtLn45wijuMRP5F6j56FT_U28x7e6nyGbOw4
      short-id: 6ba85179e30d4fc2
    client-fingerprint: chrome
  - name: ohmynetwork-reality
    type: vless
    server: 45.195.8.73
    port: 443
    uuid: 102816d4-1f32-41a6-9661-132c7b0ad819
    network: tcp
    tls: true
    udp: true
    flow: xtls-rprx-vision
    servername: www.amd.com
    client-fingerprint: chrome
    reality-opts:
      public-key: 9HdvO6fzgD4BuFxagcC3HOafWnVvNLpaATXNSEmlcCU
      short-id: 6ba85179e30d4fc2
proxy-groups:
  - name: AUTO
    type: url-test
    proxies:
      - amd-reality-vless
      - ohmynetwork-reality
    url: https://www.gstatic.com/generate_204
    interval: 300
    lazy: true
rules:
  - DOMAIN-SUFFIX,cn,DIRECT
  - GEOIP,CN,DIRECT,no-resolve
  - IP-CIDR,127.0.0.1/32,DIRECT,no-resolve
  - IP-CIDR,127.0.0.0/8,DIRECT,no-resolve
  - IP-CIDR,172.16.0.0/12,DIRECT,no-resolve
  - IP-CIDR,192.168.0.0/16,DIRECT,no-resolve
  - MATCH,AUTO
